`timescale 1ns / 1ps

module button(input clk, input btn, output debounced);

  reg [31:0] buffer;
  
  always @(posedge clk) begin
    buffer = buffer << 1;
	 buffer[0] = btn;
  end
  
  assign debounced = (buffer=='h7FFFFFFF);

endmodule
