`timescale 1ns / 1ps

module testbench();

  reg clk = 0;
  always #1 clk = !clk;
  
  wire [31:0] addr, data_in, data_out;
  wire WE, RE;
  reg rst;
  wire div_clk;
  wire [31:0] magic_value;
  wire [7:0] opcode;

  divider div(clk, rst, div_clk);
  memory mem(clk, rst, data_out, addr, RE, WE, data_in, magic_value);
  y86_seq y86(div_clk, rst, addr, data_in, data_out, WE, RE, opcode);
  
  initial begin
    rst=1; #10 rst=0;
  end

endmodule
