module pic (ireq0, ireq1, ireq2, ireq3, cs, rd_wr, intack_cpu, intreq, intack, vectno);
input ireq0;
input ireq1;
input ireq2;
input ireq3;
input cs;
input rd_wr;
input intack_cpu;

output intreq;
output intack;
output [31:0] vectno;

reg intreq;
reg intack;
reg [31:0] vectno;

always @(ireq0 or ireq1 or ireq2 or ireq3)
begin
	if(ireq0 == 1)
	begin
		intreq = 1;
		vectno = 0;
	end
	else if(ireq1 == 1)
	begin
		intreq = 1;
		vectno = 1;
	end
	else if(ireq2 == 1)
	begin
		intreq = 1;
		vectno = 2;
	end
	else if(ireq3 == 1)
	begin
		intreq = 1;
		vectno = 2;
	end
	else
	begin
	end

	if((intack_cpu == 1) && (cs == 1))
	begin
		intreq = 0;
	end
end
endmodule
