// CM Wintersteiger, 2008

#include <stdio.h>
#include <stdlib.h>

#define WIDTH 1

int main(int argc, char **argv)
{

  FILE *in;
  FILE *out;
  int c=!EOF, i=0;
  unsigned counter=0;
  int first=1;

  if(argc < 2) {
    fprintf(stderr,"no input file specified\n");
    exit(1);
  }
  if(argc > 2) {
    fprintf(stderr,"too many input files (more than one) specified\n");
    exit(1);
  }

  if(!(in = fopen( argv[1], "rb" )))
  {
    fprintf(stderr,"failed to open input file: %s\n",argv[1]);
    exit(1);
  }

  if(!(out = fopen( "program.coe", "w" )))
  {
    fprintf(stderr,"failed to open output file `program.coe'.");
    exit(1);
  }

  fprintf(out, "memory_initialization_radix = 16;\n");
  fprintf(out, "memory_initialization_vector = ");

  while ((c=fgetc(in))!=EOF)
  {
    if(!first && i==WIDTH) { fprintf(out, ","); i=0; }
    fprintf(out, "%02x", c);
    first=0;
    i++;
  }

  fprintf(out, ";\n");

  return 0;
}

