#include "systemc.h"

// BINARY ENCODED state machine: txWireArb
// State codes definitions:
#define START_TARB 0
#define TARB_WAIT_REQ 1
#define PTXB_ACT 2
#define SIE_TX_ACT 3

SC_MODULE(USBTxWireArbiter_H)
{
  bool		SIETxCtrl;
  unsigned	SIETxData;
  bool		SIETxFSRate;
  bool		SIETxReq;
  bool		SIETxWEn;
  bool		USBWireRdyIn;
  bool		prcTxByteCtrl;
  unsigned	prcTxByteData;
  bool		prcTxByteFSRate;
  bool		prcTxByteReq;
  bool		prcTxByteWEn;
  bool		rst;

  bool		SIETxGnt;
  unsigned	TxBits;
  bool		TxCtl;
  bool		TxFSRate;
  bool		USBWireRdyOut;
  bool		USBWireWEn;
  bool		prcTxByteGnt;
	
  void show();
  void txWireArb_mux();
  void txWireArb_arb(unsigned);
  void txWireArb(unsigned);
  void run();

  bool		muxSIENotPTXB;  
  unsigned	state_txWireArb;

  SC_CTOR(USBTxWireArbiter_H)
  {
    SC_THREAD(run);
  }
};
