#ifndef USB_CONSTANTS_H
#define USB_CONSTANTS_H

//PIDTypes
#define OUT 0x1
#define IN 0x9
#define SOF 0x5
#define SETUP 0xd
#define DATA0 0x3
#define DATA1 0xb
#define ACK 0x2
#define NAK 0xa
#define STALL 0xe
#define PREAMBLE 0xc 
     

//PIDGroups
#define SPECIAL 0b00
#define TOKEN 0b01
#define HANDSHAKE 0b10
#define DATA 0b11

// start of packet SyncByte
#define SYNC_BYTE 0x80

#endif